> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /2025-10/retail-media/brands/search

> Search for brands given a retailer ID and search term.



## OpenAPI

````yaml https://api.criteo.com/2025-10/retailmedia/open-api-specifications.json post /2025-10/retail-media/brands/search
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: 2025-10
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Billing
  - name: Campaign
  - name: Gateway
paths:
  /2025-10/retail-media/brands/search:
    post:
      tags:
        - Accounts
      summary: /2025-10/retail-media/brands/search
      description: Search for brands given a retailer ID and search term.
      operationId: SearchBrands
      parameters:
        - name: limit
          in: query
          description: the number of brands to return
          schema:
            maximum: 100
            minimum: 1
            type: integer
            format: int32
            default: 25
        - name: offset
          in: query
          description: offset of paginated results
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
            default: 0
      requestBody:
        description: BrandIdSearchRequest which contains the request parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValueResourceInputBrandIdSearchRequest'
        x-bodyName: brandIdSearchRequest
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/EntityResourceCollectionOutcomeBrandIdSearchResultPagingOffsetLimitMetadata
      security:
        - oauth:
            - RetailMedia_Accounts_Read
components:
  schemas:
    ValueResourceInputBrandIdSearchRequest:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ValueResourceBrandIdSearchRequest'
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value objects.
    EntityResourceCollectionOutcomeBrandIdSearchResultPagingOffsetLimitMetadata:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/EntityResourceBrandIdSearchResult'
          nullable: true
        errors:
          type: array
          items:
            $ref: '#/components/schemas/SdkApiRestCommonProblem'
          description: Errors that occured during this call.
          nullable: true
          readOnly: true
        metadata:
          $ref: '#/components/schemas/PagingOffsetLimitMetadata'
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/SdkApiRestCommonProblem'
          description: Warnings that occured during this call.
          nullable: true
          readOnly: true
      description: >-
        A top-level object that encapsulates a Criteo API response for several
        entities and metadata.
    ValueResourceBrandIdSearchRequest:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/BrandIdSearchRequest'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      description: A value resource exposed by the API.
    EntityResourceBrandIdSearchResult:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/BrandIdSearchResult'
        id:
          type: string
          description: Unique id of the entity.
          nullable: true
        type:
          type: string
          description: Type of the resource.
          nullable: true
      description: A domain entity exposed by the API, identified by a unique id.
    SdkApiRestCommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s).
          nullable: true
        stackTrace:
          type: string
          description: ''
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type.
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      additionalProperties: false
      description: Common problem object.
    PagingOffsetLimitMetadata:
      required:
        - limit
        - offset
      type: object
      properties:
        count:
          type: integer
          format: int64
          nullable: true
        limit:
          type: integer
          description: The number of elements to be returned.
          format: int32
        offset:
          type: integer
          description: The (zero-based) starting offset in the collection.
          format: int32
      description: Metadata for paging data.
      nullable: true
    BrandIdSearchRequest:
      required:
        - retailerIds
      type: object
      properties:
        brandType:
          enum:
            - uc
            - retailer
            - all
          type: string
          description: >-
            The type of brand, primarily where this brand belongs: UC, Retailer
            or All (both)
        name:
          type: string
          description: The name of the brand(s) to be searched
          nullable: true
        retailerIds:
          minItems: 1
          type: array
          items:
            type: integer
            format: int32
          description: IDs of the retailers we want to limit the search to
      description: An object that represents the request of BrandIdSearch endpoint.
    BrandIdSearchResult:
      required:
        - brandType
        - id
        - name
        - retailerIds
      type: object
      properties:
        brandType:
          type: string
          description: The type of the brand
        id:
          type: string
          description: The brand id
        name:
          type: string
          description: The name of the brand
        retailerIds:
          type: array
          items:
            type: integer
            format: int32
          description: The retailer ids associated to the brand
      description: An object that represents the result from a brand ID search.
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````